# Uses of Class
net.shibboleth.idp.admin.impl.InstallableComponentPropertyCache

Packages that use InstallableComponentPropertyCache
Package
Description
net.shibboleth.idp.admin.impl
Implementation classes for administrative profiles.

## Uses of InstallableComponentPropertyCache in net.shibboleth.idp.admin.impl

Fields in net.shibboleth.idp.admin.impl declared as InstallableComponentPropertyCache
Modifier and Type
Field
Description
`private InstallableComponentPropertyCache`
InstallableComponentGaugeSet.`cache`
The cache (to stop us going offsite).
`private InstallableComponentPropertyCache`
ReportUpdateStatus.`cache`
The cache (to stop us going offsite if someone already has).
Methods in net.shibboleth.idp.admin.impl with parameters of type InstallableComponentPropertyCache
Modifier and Type
Method
Description
`void`
InstallableComponentGaugeSet.`setCache(InstallableComponentPropertyCache what)`
Set the the bean which caches information we have phoned home about.
`void`
ReportUpdateStatus.`setCache(InstallableComponentPropertyCache what)`
Set the cache of information we have phoned home about;